<template>
  <v-card class="elevation-12">
    <div class="d-flex flex-nowrap">
      <v-avatar class="ma-3" size="80" tile>
        <v-img :src="bid.consultation.content.icon" contain></v-img>
      </v-avatar>
      <div class="flex-grow-1">
        <v-card-title class="text-subtitle-2 text-break">
          {{ bid.consultation.content.name }}
        </v-card-title>
        <v-card-actions>
          <slot name="button">
            <v-btn
              v-if="bid.isPending"
              block
              small
              color="primary"
              @click="$emit('pay', bid)"
              >Оплатить {{ bid.price }} руб</v-btn
            >
            <v-btn v-else-if="bid.isPaid" block small text color="accent"
              >Оплачена</v-btn
            >
            <v-btn v-else-if="bid.isCompleted" block small text color="success"
              >Проведена</v-btn
            >
          </slot>
        </v-card-actions>
      </div>
    </div>
  </v-card>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Bid } from '@/domain/entity/bid/Bid';
import { Prop } from 'vue-property-decorator';

@Component({})
export default class BidsListItem extends Vue {
  @Prop({
    required: true,
    type: Object
  })
  private readonly bid!: Bid;
}
</script>

<style scoped></style>
